#!/hint/bash
# Copyright (C) 2024  Umorpha Systems
# SPDX-License-Identifier: AGPL-3.0-or-later

# Declare what variables functions may use, to keep shellcheck happy.

shellcheck:format_checkconf() { :; }
shellcheck:format_genfstab() { :; }
#is_block=true
shellcheck:format_mkfs() { :; }
shellcheck:format_editfs() { :; }
#is_block=false
shellcheck:format_before() { :; }
shellcheck:format_after() { :; }

shellcheck:format() { :; }

# shellcheck disable=SC2034
if false; then
	shellcheck:format_checkconf() {
		arg_edit=true
		declare -g -A arg_pkgconf
		declare -g -A arg_conf
		arg_orig=()
		packages=()
	}

	shellcheck:format_genfstab() {
		declare -g -A arg_pkgconf
		arg_mountpoint=''
	}

	shellcheck:format_mkfs() {
		install_prefix=''
		declare -g -A arg_pkgconf
	}

	shellcheck:format_editfs() {
		install_prefix=''
		declare -g -A arg_pkgconf
	}

	shellcheck:format_before() {
		install_prefix=''
		declare -g -A arg_pkgconf
		mount_dev=''
		mount_opt=''
	}

	shellcheck:format_after() {
		install_prefix=''
		declare -g -A arg_pkgconf
		mount_dev=''
		arg_file=''
	}

	# shellcheck disable=SC2154
	shellcheck:format() {
		# All
		: "${formats[@]}"
		: "${format_options[@]}"
		: "${format_is_block[@]}"
		# is_block=false
		: "${format_wants_tmpfs[@]}"
		: "${format_after_clamps_mtime[@]}"
		# is_block=true
		: "${mount_dev}"
		: "${mount_opt}"
	}
fi
